// publication_ldap.cpp : Defines the entry point for the DLL application.
//

#ifdef _WIN32
#include <windows.h>
#include "publication_ldap.h"

BOOL APIENTRY DllMain( HANDLE hModule, 
                       DWORD  ul_reason_for_call, 
                       LPVOID lpReserved
					 )
{
    switch (ul_reason_for_call)
	{
		case DLL_PROCESS_ATTACH:
		case DLL_THREAD_ATTACH:
		case DLL_THREAD_DETACH:
		case DLL_PROCESS_DETACH:
			break;
    }
    return TRUE;
}

#endif


#ifdef _WIN32
	#ifdef PUBLICATION_LDAP_EXPORTS
		#define PUBLICATION_LDAP_API __declspec(dllexport)
	#else
		#define PUBLICATION_LDAP_API __declspec(dllimport)
	#endif
#else
	#define PUBLICATION_LDAP_API
#endif



PUBLICATION_LDAP_API void * GetFunctions()
{
	return (void * )m_GetFunctions();
}
